import request from '@/utils/request'

// 查询信息反馈列表
export function listFeedbackinfo(query) {
  return request({
    url: '/system/feedbackinfo/list',
    method: 'get',
    params: query
  })
}

// 查询信息反馈详细
export function getFeedbackinfo(id) {
  return request({
    url: '/system/feedbackinfo/' + id,
    method: 'get'
  })
}

// 新增信息反馈
export function addFeedbackinfo(data) {
  return request({
    url: '/system/feedbackinfo',
    method: 'post',
    data: data
  })
}

// 修改信息反馈
export function updateFeedbackinfo(data) {
  return request({
    url: '/system/feedbackinfo',
    method: 'put',
    data: data
  })
}

// 删除信息反馈
export function delFeedbackinfo(id) {
  return request({
    url: '/system/feedbackinfo/' + id,
    method: 'delete'
  })
}

// 导出信息反馈
export function exportFeedbackinfo(query) {
  return request({
    url: '/system/feedbackinfo/export',
    method: 'get',
    params: query
  })
}